# Class Ellipsoids

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.AtomShape
org.jmol.shapespecial.Ellipsoids

public class Ellipsoids extends AtomShape

## Field Summary

Fields
Modifier and Type
Field
Description
`Map<Tensor, Ellipsoid>`
`atomEllipsoids`
`Map<String, Ellipsoid>`
`simpleEllipsoids`

### Fields inherited from class AtomShape

`bsSizeDefault, colixes, isActive, isSet, mad, mads, monomerCount, paletteIDs`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Ellipsoids()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`checkObjectClicked(int x, int y, int action, BS bsModels, boolean drawPicking)`
`boolean`
`checkObjectHovered(int x, int y, BS bsModels)`
`int`
`getIndexFromName(String thisID)`
`boolean`
`getPropertyData(String property, Object[] data)`
`String`
`getShapeState()`
`void`
`initShape()`
`boolean`
`isActive()`
`void`
`setAtomClickability()`
`void`
`setModelVisibilityFlags(BS bsModels)`
`void`
`setProperty(String propertyName, Object value, BS bs)`
`protected void`
`setSize(int size, BS bsSelected)`

### Methods inherited from class AtomShape

`checkColixLength, getSize, initModelSet, setColixAndPalette, setPropAS, setSize2, setSizeRD, setSizeRD2`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getProperty, getPropShape, getShapeDetail, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setProperties, setPropS, setShapeSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### simpleEllipsoids

public Map<String, Ellipsoid> simpleEllipsoids

### atomEllipsoids

public Map<Tensor, Ellipsoid> atomEllipsoids

## Constructor Details

### Ellipsoids

public Ellipsoids()

## Method Details

### checkObjectHovered

public boolean checkObjectHovered(int x, int y, BS bsModels)

Overrides:
  `checkObjectHovered` in class `Shape`
Parameters:
  `x` -
  `y` -
  `bsModels` -
Returns:
  T/F

### checkObjectClicked

public Map<String,Object> checkObjectClicked(int x, int y, int action, BS bsModels, boolean drawPicking)

Overrides:
  `checkObjectClicked` in class `Shape`
Parameters:
  `x` -
  `y` -
  `action` -
  `bsModels` -
  `drawPicking` - TODO
Returns:
  Hashtable containing information about pt clicked

### isActive

public boolean isActive()

### getIndexFromName

public int getIndexFromName(String thisID)

Overrides:
  `getIndexFromName` in class `Shape`
Parameters:
  `thisID` -
Returns:
  index

### setSize

protected void setSize(int size, BS bsSelected)

Overrides:
  `setSize` in class `AtomShape`
Parameters:
  `size` -
  `bsSelected` -

### getPropertyData

public boolean getPropertyData(String property, Object[] data)

Overrides:
  `getPropertyData` in class `Shape`
Parameters:
  `property` -
  `data` -
Returns:
  true if serviced

### initShape

public void initShape()

Overrides:
  `initShape` in class `AtomShape`

### setProperty

public void setProperty(String propertyName, Object value, BS bs)

Specified by:
  `setProperty` in class `Shape`

### getShapeState

public String getShapeState()

Overrides:
  `getShapeState` in class `AtomShape`

### setModelVisibilityFlags

public void setModelVisibilityFlags(BS bsModels)

Overrides:
  `setModelVisibilityFlags` in class `Shape`
Parameters:
  `bsModels` -

### setAtomClickability

public void setAtomClickability()

Overrides:
  `setAtomClickability` in class `AtomShape`